curl -X POST https://app.drime.cloud/api/v1/track/setTracked \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"file_id": 487159699,
"tracked": true
}'
const response = await fetch('https://app.drime.cloud/api/v1/track/setTracked', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
file_id: 487159699,
tracked: true
})
});
const { updated } = await response.json();
console.log('Tracking enabled:', updated);
import requests
response = requests.post(
'https://app.drime.cloud/api/v1/track/setTracked',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'file_id': 487159699,
'tracked': True
}
)
print(f"Tracking enabled: {response.json()['updated']}")
{
"updated": true,
"status": "success"
}
Tracking
Set Tracked
Enable or disable tracking for a file
POST
/
track
/
setTracked
curl -X POST https://app.drime.cloud/api/v1/track/setTracked \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"file_id": 487159699,
"tracked": true
}'
const response = await fetch('https://app.drime.cloud/api/v1/track/setTracked', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
file_id: 487159699,
tracked: true
})
});
const { updated } = await response.json();
console.log('Tracking enabled:', updated);
import requests
response = requests.post(
'https://app.drime.cloud/api/v1/track/setTracked',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'file_id': 487159699,
'tracked': True
}
)
print(f"Tracking enabled: {response.json()['updated']}")
{
"updated": true,
"status": "success"
}
Overview
Enables or disables view/download tracking for a specific file.Request Body
integer
required
File entry ID
boolean
required
true to enable tracking, false to disableResponse
boolean
Whether the update was successful
string
Request status (
success)curl -X POST https://app.drime.cloud/api/v1/track/setTracked \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"file_id": 487159699,
"tracked": true
}'
const response = await fetch('https://app.drime.cloud/api/v1/track/setTracked', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
file_id: 487159699,
tracked: true
})
});
const { updated } = await response.json();
console.log('Tracking enabled:', updated);
import requests
response = requests.post(
'https://app.drime.cloud/api/v1/track/setTracked',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'file_id': 487159699,
'tracked': True
}
)
print(f"Tracking enabled: {response.json()['updated']}")
{
"updated": true,
"status": "success"
}
⌘I

